Package com.sun.mail.imap

# Class MessageVanishedEvent

java.lang.Object
java.util.EventObject
javax.mail.event.MailEvent
javax.mail.event.MessageCountEvent
com.sun.mail.imap.MessageVanishedEvent

All Implemented Interfaces:
  `Serializable`

public class MessageVanishedEvent extends MessageCountEvent
This class provides notification of messages that have been removed since the folder was last synchronized.

Since:
  JavaMail 1.5.1
Author:
  Bill Shannon
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class javax.mail.event.MessageCountEvent

`ADDED, msgs, removed, REMOVED, type`

### Fields inherited from class java.util.EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`MessageVanishedEvent(Folder folder, long[] uids)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`long[]`
`getUIDs()`
Return the UIDs for this event.

### Methods inherited from class javax.mail.event.MessageCountEvent

`dispatch, getMessages, getType, isRemoved`

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MessageVanishedEvent

public MessageVanishedEvent(Folder folder, long[] uids)
Constructor.

Parameters:
  `folder` - the containing folder
  `uids` - the UIDs for the vanished messages

## Method Details

### getUIDs

public long[] getUIDs()
Return the UIDs for this event.

Returns:
  the UIDs